import React from "react";
import { Container } from "@mui/material";
import { useHost } from "../../../api/SwaggerApi";
import { LokiPanel } from "./LokiPanel";

export function LokiContainer({ csEntryId, iocName, isDeployed }) {
  const [iocHost] = useHost(csEntryId);

  return (
    <>
      {iocHost && (
        <Container>
          <LokiPanel
            host={iocHost}
            isSyslog={false}
            iocName={iocName}
            isDeployed={isDeployed}
          />
        </Container>
      )}
    </>
  );
}
